@each $color, $value in $theme-colors {
  .bg-#{$color}-light {
    background: lighten($value, 35%);
  }
}

@each $color, $value in $theme-colors {
  .bg-#{$color}-dark {
    background: darken($value, 35%);
  }
}

.bg-gray-200 {
  background-color: $gray-200;
}

.bg-mirage {
  background: $mirage;
}

.bg {
  &-low {
    background-color: $green-300;
  }

  &-moderate {
    background-color: $warning;
  }

  &-high {
    background-color: $red-300;
  }

  &-very_high {
    background-color: $danger;
  }

  &-available, &-visible, &-approved, &-safe_or_unknown {
    @extend .bg-success;
  }

  &-hidden, &-canceled {
    @extend .bg-secondary;
  }

  &-reviewing {
    @extend .bg-primary;
  }

  &-rejected {
    @extend .bg-danger;
  }
}
